Child pages
  • Install WOLips with Eclipse Update Manager

To edit or add content to this Wiki, you can simply create a new account at http://wocommunity.org/account.

Skip to end of metadata
Go to start of metadata

You are viewing an old version of this page. View the current version.

Compare with Current View Page History

« Previous Version 72 Next »

Short Story

  • Requirements
    • System Requirements: Eclipse 3.4.2, or 3.5.2 (Carbon recommended - Cocoa is slow)
    • If you want to be on the cutting edge you can use Eclipse 3.6
    • Java 1.5 or greater (not Java 1.4)

Long Story

The first requirement for installing WOLips is that you have Eclipse. It is recommended that you install Eclipse 3.4.2 to use WOLips. To install Eclipse, go to the Eclipse 3.4.2 Download Site and download (Eclipse IDE for Java EE Developers recommended) the build that matches your operating system and uncompress it.

To avoid weird behavior, the complete path to the Eclipse executable must have NO spaces in it. Probably wise to ensure likewise with your workspace directory path. Your workspace should not include dashes either. You have been warned! (smile)

1. Launch the Eclipse application.


2. The first window that will appear on a new installation of Eclipse is the workspace folder selection dialog. Your workspace is the folder that will contain all of your active projects along with the metadata Eclipse requires to maintain the projects.


3. The first time you launch Eclipse, you will be taken to the Welcome screen. You can review the Welcome content if you would like. When you are finished, select the "Workbench" icon on the right side, as pictured below. After this there is a small pane in the lower right status bar, where you can look up the Welcome screen again.


4. First, let's verify that you're running Eclipse with Java 5. Go to the "Eclipse" menu, and select "About Eclipse SDK"


5. On the About dialog, choose "Configuration Details"


6. Scroll down until you find "java.vm.version" and verify that it is listed as some variant of 1.5.x or 1.6.x (the exact version is not important)


7. If it is not, you will need to change your default Java VM to be Java 5 (or 6) (see Apple's instructions for this), or you will need to modify the Info.plist inside the Eclipse.app to tell it to open with only Java 5 (or 6). If Eclipse is running in 1.5 (or 1.6), then close the dialogs back out to the main Eclipse window and proceed.


8. Currently you have a stock Eclipse installation which will allow you to do normal Java development, but it does not contain any of the WOLips plugins, so you will not have any of the WebObjects development tools. To begin your WOLips installation, from the Eclipse menu, select Help => Software Updates.... This opens the "Software Updates and Add-ons" panel.


9. The "Installed Software" tab is selected. Click the Available Software tab to display the current list of update sites that are available in your Eclipse install:


10. The first time you go through this process, you will need to add the WOLips site to the list. After the initial install, you can skip this step and just select the already existing WOLips site instead. To continue, select "Add Site..." on the right hand side. The "Add Site" panel appears. In the Location field, enter the URL for the "stable" version of WOLips: http://webobjects.mdimension.com/wolips/stable and click OK.


11. You are returned to the "Software Updates and Add-ons" panel, the WOLips site having been added to the list, and fully expanded to display all its offerings. Select only Standard Install (with all its components).

Leave the other options until you are more familiar with Eclipse and WOLips and decide that you need them. (Here are some Other WOLips Install Options.)

Depending on your platform, you should remove either "WOLips Goodies Win" (if you're on a Mac) or "WOLips Goodies Mac" (if ... gasp!):


12. Click Install... at the upper right. You'll briefly see a Progress Information panel, while Eclipse "calculates requirements and dependencies":

after which, you'll see an "Install" panel, asking you to Review and Confirm selected items to be installed:


13. Click Next >. The next dialog contains the license agreements for the selected features. After reviewing the agreements (you DO review your license agreements, right?? (smile) ), select "I accept the terms of the license agreements". Selecting this radio button will accept the license agreements for all of the features listed. Click Finish to continue.


14. Eclipse will now download and install all the selected features and plugins. When it has completed, it will prompt you to restart Eclipse. Select Yes.


That's it! You now have all of the WOLips features installed in your Eclipse. Continue to the Create a new WO Application tutorial to learn more about using WOLips' capabilities. You can also Access the WOLips User Guide or explore additional Useful Eclipse Plugins.

  • No labels